Subject: Re: [PATCH 8/16] powerpc: add ps3 platform hvcalls

From: Geoff Levand <[email-masked]>
Date: Sun, 12 Nov 2006 19:52:24 -0800

Arnd Bergmann wrote:
> On Friday 10 November 2006 21:02, Geoff Levand wrote:
>> Adds the ps3pf hvcalls.
>> 
>> Signed-off-by: Geoff Levand <[email-masked]>
> 
> This one reminds of the inline hcall abstraction layer I did
> some time ago. The implementation in your patch is a lot
> less elegant than both the pseries in its current incarnation
> and the one that I did (IMHO). Any opinions on how we should
> proceed here?

I wanted to do some cleanup here, but Ben suggested to wait until
this was released publicly.  

I would like to have full function declarations that would be ctags
parable, and inline docs of all the lv1 call arguments.  With the
current implementation there is no way to understand many of the
arguments.  Another is to preserve the inline wrapper, or have some
other mechanism that allows call instrumentation.  This is old code
done by someone else, I have no affection for it.

> I can dig out my patch again in the version I did for the
> ps3 hypervisor, if there is demand, or I could help moving
> over so code that is more like the pseries one. Unfortunately
> the calling conventions are very different from pseries 
> (the hcall number is passed in r11, not in one of the argument
> registers), so that would not be as nice as Anton's implementation.

If you have something, I would like to see it.

-Geoff